// import 'source-map-support/register';
import { SchemaProperty, RegisterSchema } from 'koishi-thirdeye';

@RegisterSchema()
export class WyWallBacklistPluginConfig {
  constructor(config: WyWallBacklistPluginConfigLike) {}

  @SchemaProperty({
    description: '查询 API 接口。',
    default: 'https://blapi.wenaiwu.net',
  })
  endpoint: string;
}

export type WyWallBacklistPluginConfigLike = Partial<WyWallBacklistPluginConfig>;
